%define fontver 4.0
%define realver 40

Name:       figlet-fonts
Version:    %{fontver}
Release:    1%{?dist}
License:    Artistic
URL:        http://www.jave.de/figlet/fonts.html
Source0:    http://www.jave.de/figlet/figletfonts%{realver}.zip
Group:      Applications/Text
Buildroot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:    Extra fonts for figlet.
Requires:   figlet

BuildArch:  noarch

%description
Figlet is a program that creates large characters out of ordinary screen
characters.

Figlet font library version %{fontver} is included.

%prep
%setup -qc

%build
echo 'Nothing to see, move along...'

# Remove fonts already in figlet package.
rm -f fonts/banner.flf
rm -f fonts/big.flf
rm -f fonts/block.flf
rm -f fonts/bubble.flf
rm -f fonts/digital.flf
rm -f fonts/ivrit.flf
rm -f fonts/lean.flf
rm -f fonts/mini.flf
rm -f fonts/mnemonic.flf
rm -f fonts/script.flf
rm -f fonts/shadow.flf
rm -f fonts/slant.flf
rm -f fonts/small.flf
rm -f fonts/smscript.flf
rm -f fonts/smshadow.flf
rm -f fonts/smslant.flf
rm -f fonts/standard.flf
rm -f fonts/term.flf
rm -f fonts/upper.flc


%clean
rm -rf $RPM_BUILD_ROOT

%install
install -d $RPM_BUILD_ROOT/%{_datadir}/figlet
cp -d fonts/*  $RPM_BUILD_ROOT/%{_datadir}/figlet/

%files
%defattr(-,root,root)
%attr(644,root,root) %{_datadir}/figlet/*

%changelog
* Thu Jan 24 2013 Greg Wildman <greg@techno.co.za> 4.0-1
- Initial Spec.

